| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy Class Reference
Inheritance diagram for GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy:
[legend]
Collaboration diagram for GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy:
[legend]

## Public Member Functions
def | __init__ (self, descr, docString, default)
def | checkType (self, obj, value)
def | convertDefaultToBeSet (self, obj, default)
def | convertValueToBeSet (self, obj, value)
Public Member Functions inherited from GaudiKernel.PropertyProxy.GaudiHandlePropertyProxyBase
def | __init__ (self, descr, docString, default, handleType, allowedType)
def | __get__ (self, obj, type=None)
def | __set__ (self, obj, value)
def | isHandle (self, value)
def | isConfig (self, value)
def | getDefaultConfigurable (self, typeAndName, requester)
def | convertDefaultToBeSet (self, obj, default)
def | convertValueToBeSet (self, obj, value)
Public Member Functions inherited from GaudiKernel.PropertyProxy.PropertyProxy
def | __init__ (self, descr, docString=None, default=None)
def | setDefault (self, value)
def | getDefault (self)
def | fullPropertyName (self, obj)
def | __get__ (self, obj, type=None)
def | __set__ (self, obj, value)
def | __delete__ (self, obj)

## Public Attributes
| arrayType
Public Attributes inherited from GaudiKernel.PropertyProxy.PropertyProxy
| history
| descr

## Additional Inherited Members
Properties inherited from GaudiKernel.PropertyProxy.PropertyProxy
| default = property(getDefault, setDefault)

## Detailed Description

Definition at line 314 of file PropertyProxy.py.

## Constructor & Destructor Documentation

def GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.__init__ | ( |  | self,
|  |  | descr,
|  |  | docString,
|  |  | default
| ) |  |

    <descr>: the real property in the object instance (from __slots__)
    <confTypeName>: string indicating the (base) class of allowed Configurables to be assigned.
    <handleType>: real python handle type (e.g. PublicToolHandle, PrivateToolHandle, ...)

Definition at line 315 of file PropertyProxy.py.

315 def __init__(self, descr, docString, default):
316 """<descr>: the real property in the object instance (from __slots__)
317 <confTypeName>: string indicating the (base) class of allowed Configurables to be assigned.
318 <handleType>: real python handle type (e.g. PublicToolHandle, PrivateToolHandle, ...)
319 """
320 GaudiHandlePropertyProxyBase.__init__(
321 self, descr, docString, default, type(default).handleType, GaudiHandleArray)
322 self.arrayType = type(default)
323
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType
arrayType
Definition: PropertyProxy.py:322
gaudirun.type
type
Definition: gaudirun.py:133
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.__init__
def __init__(self, descr, docString, default)
Definition: PropertyProxy.py:315

## Member Function Documentation

def GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.checkType | ( |  | self,
|  |  | obj,
|  |  | value
| ) |  |

Definition at line 324 of file PropertyProxy.py.

324 def checkType(self, obj, value):
325 if not isinstance(value, list) and not isinstance(value, self.arrayType):
326 raise TypeError("%s: Value %r is not a list nor a %s" %
327 (self.fullPropertyName(obj), value, self.arrayType.__name__))
328
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType
arrayType
Definition: PropertyProxy.py:322
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.checkType
def checkType(self, obj, value)
Definition: PropertyProxy.py:324
GaudiKernel.PropertyProxy.PropertyProxy.fullPropertyName
def fullPropertyName(self, obj)
Definition: PropertyProxy.py:85

def GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.convertDefaultToBeSet | ( |  | self,
|  |  | obj,
|  |  | default
| ) |  |

Definition at line 329 of file PropertyProxy.py.

329 def convertDefaultToBeSet(self, obj, default):
330 self.checkType(obj, default)
331 newDefault = self.arrayType()
332 for d in default:
333 cd = GaudiHandlePropertyProxyBase.convertDefaultToBeSet(
334 self, obj, d)
335 if cd:
336 newDefault.append(cd)
337
338 return newDefault
339
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType
arrayType
Definition: PropertyProxy.py:322
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.convertDefaultToBeSet
def convertDefaultToBeSet(self, obj, default)
Definition: PropertyProxy.py:329
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.checkType
def checkType(self, obj, value)
Definition: PropertyProxy.py:324

def GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.convertValueToBeSet | ( |  | self,
|  |  | obj,
|  |  | value
| ) |  |

Definition at line 340 of file PropertyProxy.py.

340 def convertValueToBeSet(self, obj, value):
341 self.checkType(obj, value)
342 newValue = self.arrayType()
343 for v in value:
344 cv = GaudiHandlePropertyProxyBase.convertValueToBeSet(self, obj, v)
345 if cv:
346 newValue.append(cv)
347
348 return newValue
349
350
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType
arrayType
Definition: PropertyProxy.py:322
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.checkType
def checkType(self, obj, value)
Definition: PropertyProxy.py:324
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.convertValueToBeSet
def convertValueToBeSet(self, obj, value)
Definition: PropertyProxy.py:340

## Member Data Documentation

GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType

Definition at line 322 of file PropertyProxy.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/PropertyProxy.py